CustomersCustomer
Create customer session
POST
/v1/customer/sessionsCreate customer session. A successful request returns HTTP 200 with the documented response body.
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/customer/sessions" \ -H "x-Store-Domain: my-store" \ -H "Content-Type: application/json" \ -d '{ "code": "example_code", "codeVerifier": "example", "redirectUri": "https://example.com/resource", "nonce": "example" }'{ "sessionId": "7204558912004325301", "expiresAt": "2026-08-01T15:30:00Z", "customer": { "id": "7204558912004325301", "firstName": "Andrea", "lastName": "Ramos", "email": "andrea@example.com", "status": "active" }}